	.file	"bt_everything.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
.globl btsl_mem
	.type	btsl_mem, @function
btsl_mem:
.LFB0:
	.file 1 "bt_everything.c"
	.loc 1 8 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$16, %esp
	.loc 1 10 0
	movl	8(%ebp), %edx
	movl	12(%ebp), %eax
#APP
# 10 "bt_everything.c" 1
	btsl	%eax, (%edx)
	setc	%al
# 0 "" 2
#NO_APP
	movb	%al, -1(%ebp)
	.loc 1 18 0
	movzbl	-1(%ebp), %eax
	.loc 1 19 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	btsl_mem, .-btsl_mem
.globl btrl_mem
	.type	btrl_mem, @function
btrl_mem:
.LFB1:
	.loc 1 22 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$16, %esp
	.loc 1 24 0
	movl	8(%ebp), %edx
	movl	12(%ebp), %eax
#APP
# 24 "bt_everything.c" 1
	btrl	%eax, (%edx)
	setc	%al
# 0 "" 2
#NO_APP
	movb	%al, -1(%ebp)
	.loc 1 29 0
	movzbl	-1(%ebp), %eax
	.loc 1 30 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE1:
	.size	btrl_mem, .-btrl_mem
.globl btcl_mem
	.type	btcl_mem, @function
btcl_mem:
.LFB2:
	.loc 1 33 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$16, %esp
	.loc 1 35 0
	movl	8(%ebp), %edx
	movl	12(%ebp), %eax
#APP
# 35 "bt_everything.c" 1
	btcl	%eax, (%edx)
	setc	%al
# 0 "" 2
#NO_APP
	movb	%al, -1(%ebp)
	.loc 1 40 0
	movzbl	-1(%ebp), %eax
	.loc 1 41 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE2:
	.size	btcl_mem, .-btcl_mem
.globl btl_mem
	.type	btl_mem, @function
btl_mem:
.LFB3:
	.loc 1 44 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$16, %esp
	.loc 1 46 0
	movl	8(%ebp), %edx
	movl	12(%ebp), %eax
#APP
# 46 "bt_everything.c" 1
	btl	%eax, (%edx)
	setc	%al
# 0 "" 2
#NO_APP
	movb	%al, -1(%ebp)
	.loc 1 52 0
	movzbl	-1(%ebp), %eax
	.loc 1 53 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE3:
	.size	btl_mem, .-btl_mem
.globl btsl_reg
	.type	btsl_reg, @function
btsl_reg:
.LFB4:
	.loc 1 60 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$16, %esp
	.loc 1 63 0
	movl	12(%ebp), %edx
	movl	8(%ebp), %ecx
#APP
# 63 "bt_everything.c" 1
	movl	%ecx, %eax
	btsl	%edx, %eax
	movl	%eax, %edx
	setc	%cl
# 0 "" 2
#NO_APP
	movb	%cl, -5(%ebp)
	movl	%edx, -4(%ebp)
	.loc 1 71 0
	movl	16(%ebp), %eax
	movl	-4(%ebp), %edx
	movl	%edx, (%eax)
	.loc 1 72 0
	movzbl	-5(%ebp), %eax
	.loc 1 73 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE4:
	.size	btsl_reg, .-btsl_reg
.globl btrl_reg
	.type	btrl_reg, @function
btrl_reg:
.LFB5:
	.loc 1 78 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$16, %esp
	.loc 1 81 0
	movl	12(%ebp), %edx
	movl	8(%ebp), %ecx
#APP
# 81 "bt_everything.c" 1
	movl	%ecx, %eax
	btrl	%edx, %eax
	movl	%eax, %edx
	setc	%cl
# 0 "" 2
#NO_APP
	movb	%cl, -5(%ebp)
	movl	%edx, -4(%ebp)
	.loc 1 89 0
	movl	16(%ebp), %eax
	movl	-4(%ebp), %edx
	movl	%edx, (%eax)
	.loc 1 90 0
	movzbl	-5(%ebp), %eax
	.loc 1 91 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE5:
	.size	btrl_reg, .-btrl_reg
.globl btcl_reg
	.type	btcl_reg, @function
btcl_reg:
.LFB6:
	.loc 1 96 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$16, %esp
	.loc 1 99 0
	movl	12(%ebp), %edx
	movl	8(%ebp), %ecx
#APP
# 99 "bt_everything.c" 1
	movl	%ecx, %eax
	btcl	%edx, %eax
	movl	%eax, %edx
	setc	%cl
# 0 "" 2
#NO_APP
	movb	%cl, -5(%ebp)
	movl	%edx, -4(%ebp)
	.loc 1 107 0
	movl	16(%ebp), %eax
	movl	-4(%ebp), %edx
	movl	%edx, (%eax)
	.loc 1 108 0
	movzbl	-5(%ebp), %eax
	.loc 1 109 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE6:
	.size	btcl_reg, .-btcl_reg
.globl btl_reg
	.type	btl_reg, @function
btl_reg:
.LFB7:
	.loc 1 114 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$16, %esp
	.loc 1 117 0
	movl	12(%ebp), %edx
	movl	8(%ebp), %ecx
#APP
# 117 "bt_everything.c" 1
	movl	%ecx, %eax
	btl	%edx, %eax
	movl	%eax, %edx
	setc	%cl
# 0 "" 2
#NO_APP
	movb	%cl, -5(%ebp)
	movl	%edx, -4(%ebp)
	.loc 1 125 0
	movl	16(%ebp), %eax
	movl	-4(%ebp), %edx
	movl	%edx, (%eax)
	.loc 1 126 0
	movzbl	-5(%ebp), %eax
	.loc 1 127 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE7:
	.size	btl_reg, .-btl_reg
.globl rol1
	.type	rol1, @function
rol1:
.LFB8:
	.loc 1 139 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	.loc 1 140 0
	movl	8(%ebp), %eax
	rorl	$31, %eax
	.loc 1 141 0
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE8:
	.size	rol1, .-rol1
	.section	.rodata
.LC0:
	.string	"bt_everything.c"
.LC1:
	.string	"c == 0 || c == 1"
	.align 4
.LC2:
	.string	"MEM-L: final res 0x%x, carrydep 0x%x\n"
	.align 4
.LC3:
	.string	"REG-L: final res 0x%x, carrydep 0x%x\n"
	.text
.globl main
	.type	main, @function
main:
.LFB9:
	.loc 1 144 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	pushl	%ebx
	subl	$76, %esp
	.loc 1 152 0
	movl	$0, 44(%esp)
	.loc 1 153 0
	movl	$1, 4(%esp)
	movl	$200, (%esp)
	.cfi_escape 0x10,0x3,0x7,0x75,0x0,0x9,0xf0,0x1a,0x34,0x1c
	call	calloc
	movl	%eax, 56(%esp)
	.loc 1 154 0
	addl	$100, 56(%esp)
	.loc 1 157 0
	movl	$0, 32(%esp)
	jmp	.L20
.L29:
	.loc 1 158 0
	call	random
	movl	%eax, %ecx
	movl	$1374389535, %edx
	movl	%ecx, %eax
	imull	%edx
	sarl	$9, %edx
	movl	%ecx, %eax
	sarl	$31, %eax
	movl	%edx, %ebx
	subl	%eax, %ebx
	movl	%ebx, %eax
	imull	$1600, %eax, %eax
	movl	%ecx, %edx
	subl	%eax, %edx
	movl	%edx, %eax
	subl	$800, %eax
	movl	%eax, 36(%esp)
	.loc 1 159 0
	call	random
	movl	%eax, %edx
	sarl	$31, %edx
	shrl	$30, %edx
	addl	%edx, %eax
	andl	$3, %eax
	subl	%edx, %eax
	movl	%eax, 40(%esp)
	.loc 1 160 0
	movl	$2, 48(%esp)
	.loc 1 161 0
	movl	40(%esp), %eax
	cmpl	$1, %eax
	je	.L23
	cmpl	$1, %eax
	jb	.L22
	cmpl	$2, %eax
	je	.L24
	cmpl	$3, %eax
	je	.L25
	jmp	.L21
.L22:
	.loc 1 162 0
	movl	36(%esp), %edx
	movl	56(%esp), %eax
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	btsl_mem
	movl	%eax, 48(%esp)
	jmp	.L21
.L23:
	.loc 1 163 0
	movl	36(%esp), %edx
	movl	56(%esp), %eax
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	btrl_mem
	movl	%eax, 48(%esp)
	jmp	.L21
.L24:
	.loc 1 164 0
	movl	36(%esp), %edx
	movl	56(%esp), %eax
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	btcl_mem
	movl	%eax, 48(%esp)
	jmp	.L21
.L25:
	.loc 1 165 0
	movl	36(%esp), %edx
	movl	56(%esp), %eax
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	btl_mem
	movl	%eax, 48(%esp)
.L21:
	.loc 1 167 0
	cmpl	$0, 48(%esp)
	je	.L26
	cmpl	$1, 48(%esp)
	je	.L26
	movl	$__PRETTY_FUNCTION__.2436, 12(%esp)
	movl	$167, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC1, (%esp)
	call	__assert_fail
.L26:
	.loc 1 168 0
	cmpl	$0, 48(%esp)
	je	.L27
	movl	44(%esp), %eax
	movl	%eax, (%esp)
	call	rol1
	xorl	36(%esp), %eax
	jmp	.L28
.L27:
	movl	44(%esp), %eax
.L28:
	movl	%eax, 44(%esp)
	.loc 1 157 0
	addl	$1, 32(%esp)
.L20:
	cmpl	$9999, 32(%esp)
	jbe	.L29
	.loc 1 172 0
	subl	$100, 56(%esp)
	.loc 1 173 0
	movl	$0, 52(%esp)
	.loc 1 174 0
	movl	$0, 32(%esp)
	jmp	.L30
.L31:
.LBB2:
	.loc 1 175 0
	movl	32(%esp), %eax
	movl	56(%esp), %edx
	leal	(%edx,%eax), %eax
	movzbl	(%eax), %eax
	movb	%al, 63(%esp)
	.loc 1 177 0
	movl	52(%esp), %eax
	movl	%eax, (%esp)
	call	rol1
	movzbl	63(%esp), %edx
	xorl	%edx, %eax
	movl	%eax, 52(%esp)
.LBE2:
	.loc 1 174 0
	addl	$1, 32(%esp)
.L30:
	cmpl	$199, 32(%esp)
	jbe	.L31
	.loc 1 180 0
	movl	$.LC2, %eax
	movl	44(%esp), %edx
	movl	%edx, 8(%esp)
	movl	52(%esp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 184 0
	movl	$0, 44(%esp)
	.loc 1 185 0
	movl	$0, 28(%esp)
	.loc 1 187 0
	movl	$0, 32(%esp)
	jmp	.L32
.L41:
	.loc 1 188 0
	call	random
	movl	%eax, %ecx
	movl	$1374389535, %edx
	movl	%ecx, %eax
	imull	%edx
	sarl	$5, %edx
	movl	%ecx, %eax
	sarl	$31, %eax
	movl	%edx, %ebx
	subl	%eax, %ebx
	movl	%ebx, %eax
	imull	$100, %eax, %eax
	movl	%ecx, %edx
	subl	%eax, %edx
	movl	%edx, %eax
	subl	$50, %eax
	movl	%eax, 36(%esp)
	.loc 1 189 0
	call	random
	movl	%eax, %edx
	sarl	$31, %edx
	shrl	$30, %edx
	addl	%edx, %eax
	andl	$3, %eax
	subl	%edx, %eax
	movl	%eax, 40(%esp)
	.loc 1 190 0
	movl	$2, 48(%esp)
	.loc 1 191 0
	movl	40(%esp), %eax
	cmpl	$1, %eax
	je	.L35
	cmpl	$1, %eax
	jb	.L34
	cmpl	$2, %eax
	je	.L36
	cmpl	$3, %eax
	je	.L37
	jmp	.L33
.L34:
	.loc 1 192 0
	movl	36(%esp), %edx
	movl	28(%esp), %eax
	leal	28(%esp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	btsl_reg
	movl	%eax, 48(%esp)
	jmp	.L33
.L35:
	.loc 1 193 0
	movl	36(%esp), %edx
	movl	28(%esp), %eax
	leal	28(%esp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	btrl_reg
	movl	%eax, 48(%esp)
	jmp	.L33
.L36:
	.loc 1 194 0
	movl	36(%esp), %edx
	movl	28(%esp), %eax
	leal	28(%esp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	btcl_reg
	movl	%eax, 48(%esp)
	jmp	.L33
.L37:
	.loc 1 195 0
	movl	36(%esp), %edx
	movl	28(%esp), %eax
	leal	28(%esp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	btl_reg
	movl	%eax, 48(%esp)
.L33:
	.loc 1 197 0
	cmpl	$0, 48(%esp)
	je	.L38
	cmpl	$1, 48(%esp)
	je	.L38
	movl	$__PRETTY_FUNCTION__.2436, 12(%esp)
	movl	$197, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC1, (%esp)
	call	__assert_fail
.L38:
	.loc 1 198 0
	cmpl	$0, 48(%esp)
	je	.L39
	movl	44(%esp), %eax
	movl	%eax, (%esp)
	call	rol1
	xorl	36(%esp), %eax
	jmp	.L40
.L39:
	movl	44(%esp), %eax
.L40:
	movl	%eax, 44(%esp)
	.loc 1 187 0
	addl	$1, 32(%esp)
.L32:
	cmpl	$999, 32(%esp)
	jbe	.L41
	.loc 1 201 0
	movl	28(%esp), %edx
	movl	$.LC3, %eax
	movl	44(%esp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 203 0
	addl	$100, 56(%esp)
	.loc 1 212 0
	subl	$100, 56(%esp)
	.loc 1 213 0
	movl	56(%esp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 215 0
	movl	$0, %eax
	.loc 1 216 0
	addl	$76, %esp
	popl	%ebx
	.cfi_restore 3
	movl	%ebp, %esp
	.cfi_def_cfa_register 4
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa_offset 4
	ret
	.cfi_endproc
.LFE9:
	.size	main, .-main
	.section	.rodata
	.type	__PRETTY_FUNCTION__.2436, @object
	.size	__PRETTY_FUNCTION__.2436, 5
__PRETTY_FUNCTION__.2436:
	.string	"main"
	.text
.Letext0:
	.section	.debug_info
	.long	0x422
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF30
	.byte	0x1
	.long	.LASF31
	.long	.LASF32
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x2
	.byte	0x1
	.byte	0x8
	.long	.LASF1
	.uleb128 0x2
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x2
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x2
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x2
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x2
	.byte	0x4
	.byte	0x5
	.long	.LASF8
	.uleb128 0x4
	.byte	0x4
	.long	0x71
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF9
	.uleb128 0x5
	.long	.LASF10
	.byte	0x1
	.byte	0x87
	.long	0x25
	.uleb128 0x5
	.long	.LASF11
	.byte	0x1
	.byte	0x88
	.long	0x2c
	.uleb128 0x6
	.byte	0x1
	.long	.LASF14
	.byte	0x1
	.byte	0x7
	.byte	0x1
	.long	0x25
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0xd4
	.uleb128 0x7
	.long	.LASF12
	.byte	0x1
	.byte	0x7
	.long	0x6b
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x7
	.long	.LASF13
	.byte	0x1
	.byte	0x7
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x8
	.string	"res"
	.byte	0x1
	.byte	0x9
	.long	0x2c
	.byte	0x2
	.byte	0x91
	.sleb128 -9
	.byte	0x0
	.uleb128 0x6
	.byte	0x1
	.long	.LASF15
	.byte	0x1
	.byte	0x15
	.byte	0x1
	.long	0x25
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0x11a
	.uleb128 0x7
	.long	.LASF12
	.byte	0x1
	.byte	0x15
	.long	0x6b
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x7
	.long	.LASF13
	.byte	0x1
	.byte	0x15
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x8
	.string	"res"
	.byte	0x1
	.byte	0x17
	.long	0x2c
	.byte	0x2
	.byte	0x91
	.sleb128 -9
	.byte	0x0
	.uleb128 0x6
	.byte	0x1
	.long	.LASF16
	.byte	0x1
	.byte	0x20
	.byte	0x1
	.long	0x25
	.long	.LFB2
	.long	.LFE2
	.byte	0x1
	.byte	0x9c
	.long	0x160
	.uleb128 0x7
	.long	.LASF12
	.byte	0x1
	.byte	0x20
	.long	0x6b
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x7
	.long	.LASF13
	.byte	0x1
	.byte	0x20
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x8
	.string	"res"
	.byte	0x1
	.byte	0x22
	.long	0x2c
	.byte	0x2
	.byte	0x91
	.sleb128 -9
	.byte	0x0
	.uleb128 0x6
	.byte	0x1
	.long	.LASF17
	.byte	0x1
	.byte	0x2b
	.byte	0x1
	.long	0x25
	.long	.LFB3
	.long	.LFE3
	.byte	0x1
	.byte	0x9c
	.long	0x1a6
	.uleb128 0x7
	.long	.LASF12
	.byte	0x1
	.byte	0x2b
	.long	0x6b
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x7
	.long	.LASF13
	.byte	0x1
	.byte	0x2b
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x8
	.string	"res"
	.byte	0x1
	.byte	0x2d
	.long	0x2c
	.byte	0x2
	.byte	0x91
	.sleb128 -9
	.byte	0x0
	.uleb128 0x6
	.byte	0x1
	.long	.LASF18
	.byte	0x1
	.byte	0x3a
	.byte	0x1
	.long	0x25
	.long	.LFB4
	.long	.LFE4
	.byte	0x1
	.byte	0x9c
	.long	0x208
	.uleb128 0x7
	.long	.LASF19
	.byte	0x1
	.byte	0x3a
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x7
	.long	.LASF13
	.byte	0x1
	.byte	0x3a
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x7
	.long	.LASF20
	.byte	0x1
	.byte	0x3b
	.long	0x208
	.byte	0x2
	.byte	0x91
	.sleb128 8
	.uleb128 0x8
	.string	"res"
	.byte	0x1
	.byte	0x3d
	.long	0x2c
	.byte	0x2
	.byte	0x91
	.sleb128 -13
	.uleb128 0x9
	.long	.LASF21
	.byte	0x1
	.byte	0x3e
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 -12
	.byte	0x0
	.uleb128 0x4
	.byte	0x4
	.long	0x25
	.uleb128 0x6
	.byte	0x1
	.long	.LASF22
	.byte	0x1
	.byte	0x4c
	.byte	0x1
	.long	0x25
	.long	.LFB5
	.long	.LFE5
	.byte	0x1
	.byte	0x9c
	.long	0x270
	.uleb128 0x7
	.long	.LASF19
	.byte	0x1
	.byte	0x4c
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x7
	.long	.LASF13
	.byte	0x1
	.byte	0x4c
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x7
	.long	.LASF20
	.byte	0x1
	.byte	0x4d
	.long	0x208
	.byte	0x2
	.byte	0x91
	.sleb128 8
	.uleb128 0x8
	.string	"res"
	.byte	0x1
	.byte	0x4f
	.long	0x2c
	.byte	0x2
	.byte	0x91
	.sleb128 -13
	.uleb128 0x9
	.long	.LASF21
	.byte	0x1
	.byte	0x50
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 -12
	.byte	0x0
	.uleb128 0x6
	.byte	0x1
	.long	.LASF23
	.byte	0x1
	.byte	0x5e
	.byte	0x1
	.long	0x25
	.long	.LFB6
	.long	.LFE6
	.byte	0x1
	.byte	0x9c
	.long	0x2d2
	.uleb128 0x7
	.long	.LASF19
	.byte	0x1
	.byte	0x5e
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x7
	.long	.LASF13
	.byte	0x1
	.byte	0x5e
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x7
	.long	.LASF20
	.byte	0x1
	.byte	0x5f
	.long	0x208
	.byte	0x2
	.byte	0x91
	.sleb128 8
	.uleb128 0x8
	.string	"res"
	.byte	0x1
	.byte	0x61
	.long	0x2c
	.byte	0x2
	.byte	0x91
	.sleb128 -13
	.uleb128 0x9
	.long	.LASF21
	.byte	0x1
	.byte	0x62
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 -12
	.byte	0x0
	.uleb128 0x6
	.byte	0x1
	.long	.LASF24
	.byte	0x1
	.byte	0x70
	.byte	0x1
	.long	0x25
	.long	.LFB7
	.long	.LFE7
	.byte	0x1
	.byte	0x9c
	.long	0x334
	.uleb128 0x7
	.long	.LASF19
	.byte	0x1
	.byte	0x70
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x7
	.long	.LASF13
	.byte	0x1
	.byte	0x70
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x7
	.long	.LASF20
	.byte	0x1
	.byte	0x71
	.long	0x208
	.byte	0x2
	.byte	0x91
	.sleb128 8
	.uleb128 0x8
	.string	"res"
	.byte	0x1
	.byte	0x73
	.long	0x2c
	.byte	0x2
	.byte	0x91
	.sleb128 -13
	.uleb128 0x9
	.long	.LASF21
	.byte	0x1
	.byte	0x74
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 -12
	.byte	0x0
	.uleb128 0x6
	.byte	0x1
	.long	.LASF25
	.byte	0x1
	.byte	0x8a
	.byte	0x1
	.long	0x78
	.long	.LFB8
	.long	.LFE8
	.byte	0x1
	.byte	0x9c
	.long	0x35c
	.uleb128 0xa
	.string	"x"
	.byte	0x1
	.byte	0x8a
	.long	0x78
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0x0
	.uleb128 0x6
	.byte	0x1
	.long	.LASF26
	.byte	0x1
	.byte	0x8f
	.byte	0x1
	.long	0x4f
	.long	.LFB9
	.long	.LFE9
	.byte	0x1
	.byte	0x9c
	.long	0x40a
	.uleb128 0x8
	.string	"n"
	.byte	0x1
	.byte	0x91
	.long	0x78
	.byte	0x2
	.byte	0x74
	.sleb128 32
	.uleb128 0x9
	.long	.LASF27
	.byte	0x1
	.byte	0x91
	.long	0x78
	.byte	0x2
	.byte	0x74
	.sleb128 36
	.uleb128 0x8
	.string	"op"
	.byte	0x1
	.byte	0x91
	.long	0x78
	.byte	0x2
	.byte	0x74
	.sleb128 40
	.uleb128 0x9
	.long	.LASF28
	.byte	0x1
	.byte	0x92
	.long	0x78
	.byte	0x2
	.byte	0x74
	.sleb128 44
	.uleb128 0x8
	.string	"c"
	.byte	0x1
	.byte	0x92
	.long	0x78
	.byte	0x2
	.byte	0x74
	.sleb128 48
	.uleb128 0x8
	.string	"res"
	.byte	0x1
	.byte	0x92
	.long	0x78
	.byte	0x2
	.byte	0x74
	.sleb128 52
	.uleb128 0x9
	.long	.LASF29
	.byte	0x1
	.byte	0x93
	.long	0x40a
	.byte	0x2
	.byte	0x74
	.sleb128 56
	.uleb128 0x8
	.string	"reg"
	.byte	0x1
	.byte	0x94
	.long	0x78
	.byte	0x2
	.byte	0x74
	.sleb128 28
	.uleb128 0xb
	.long	.LASF33
	.long	0x420
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.2436
	.uleb128 0xc
	.long	.LBB2
	.long	.LBE2
	.uleb128 0x8
	.string	"ch"
	.byte	0x1
	.byte	0xaf
	.long	0x83
	.byte	0x2
	.byte	0x74
	.sleb128 63
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.byte	0x4
	.long	0x83
	.uleb128 0xd
	.long	0x71
	.long	0x420
	.uleb128 0xe
	.long	0x25
	.byte	0x4
	.byte	0x0
	.uleb128 0xf
	.long	0x410
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x34
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0x26
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x86
	.value	0x2
	.long	.Ldebug_info0
	.long	0x426
	.long	0x8e
	.string	"btsl_mem"
	.long	0xd4
	.string	"btrl_mem"
	.long	0x11a
	.string	"btcl_mem"
	.long	0x160
	.string	"btl_mem"
	.long	0x1a6
	.string	"btsl_reg"
	.long	0x20e
	.string	"btrl_reg"
	.long	0x270
	.string	"btcl_reg"
	.long	0x2d2
	.string	"btl_reg"
	.long	0x334
	.string	"rol1"
	.long	0x35c
	.string	"main"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0x21
	.value	0x2
	.long	.Ldebug_info0
	.long	0x426
	.long	0x78
	.string	"UInt"
	.long	0x83
	.string	"UChar"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF16:
	.string	"btcl_mem"
.LASF20:
	.string	"reg_out_p"
.LASF13:
	.string	"bitno"
.LASF31:
	.string	"bt_everything.c"
.LASF33:
	.string	"__PRETTY_FUNCTION__"
.LASF29:
	.string	"block"
.LASF15:
	.string	"btrl_mem"
.LASF1:
	.string	"unsigned char"
.LASF3:
	.string	"long unsigned int"
.LASF2:
	.string	"short unsigned int"
.LASF25:
	.string	"rol1"
.LASF27:
	.string	"bitoff"
.LASF26:
	.string	"main"
.LASF22:
	.string	"btrl_reg"
.LASF14:
	.string	"btsl_mem"
.LASF21:
	.string	"reg_out"
.LASF12:
	.string	"base"
.LASF0:
	.string	"unsigned int"
.LASF7:
	.string	"long long unsigned int"
.LASF30:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF24:
	.string	"btl_reg"
.LASF23:
	.string	"btcl_reg"
.LASF6:
	.string	"long long int"
.LASF18:
	.string	"btsl_reg"
.LASF9:
	.string	"char"
.LASF28:
	.string	"carrydep"
.LASF10:
	.string	"UInt"
.LASF5:
	.string	"short int"
.LASF19:
	.string	"reg_in"
.LASF32:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/none/tests/x86"
.LASF8:
	.string	"long int"
.LASF4:
	.string	"signed char"
.LASF11:
	.string	"UChar"
.LASF17:
	.string	"btl_mem"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
